Bug 30046 - telnetd double echo in local echo mode
telnetd double echo in local echo mode
Product: Red Hat Linux
Classification: Retired
Component: telnet (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-02-28 13:01 EST by Thomas J Pinkl
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-08-05 04:16:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas J Pinkl 2001-02-28 13:01:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.17-8-HBS i686)

When telnetd is told "DONT ECHO" during Telnet option negotiations,
it appears that the pseudo terminal (pty) is not configured properly.
After a successful login, characters typed at a shell prompt appear 
twice: once from the local Telnet client and once from the shell.
Other Unix operating systems do not exhibit this behavior.  I've 
tested SCO OpenServer 5.0.5 and IBM AIX 4.3.3.

This "double echo" bug is present in Red Hat Linux 6.1 with 
telnet-0.10-31 and in Red Hat Linux 7.0 with telnet-server-0.17-7.

Reproducible: Always
Steps to Reproduce:
1. You need a Telnet client set to echo locally.  It must not allow
   the server to echo.
2. Open a telnet connection to a Linux host.  Enter your username and
   password.  You will see the password as you type it.
3. At the shell prompt, type something like "date".  You will see 
Comment 1 Harald Hoyer 2001-08-01 02:45:38 EDT
Could you please retry with:
Bonus: security fixes to the recently discovered vulnerabilities

Note You need to log in before you can comment on or make changes to this bug.